## libnora-ruby 0.0.20040310-1

=== ext/web/escape_ext/Makefile ===

SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = /home/sugi/works/debian/libnora-ruby/libnora-ruby-1:0.0.20040310/ext/web/escape_ext
topdir = $(rubylibdir)/$(arch)
hdrdir = $(rubylibdir)/$(arch)
VPATH = $(srcdir)
prefix = $(DESTDIR)/usr
exec_prefix = $(prefix)
sitedir = $(prefix)/local/lib/site_ruby
rubylibdir = $(libdir)/ruby/$(ruby_version)
builddir = $(ac_builddir)
archdir = $(rubylibdir)/$(arch)
sbindir = $(exec_prefix)/sbin
compile_dir = $(DESTDIR)/tmp/ruby1.8-1.8.1/build-tree/ruby-1.8.1
datadir = $(prefix)/share
includedir = $(prefix)/include
infodir = $(prefix)/info
top_builddir = $(ac_top_builddir)
sysconfdir = $(DESTDIR)/etc
mandir = $(datadir)/man
libdir = $(exec_prefix)/lib
sharedstatedir = $(prefix)/com
oldincludedir = $(DESTDIR)/usr/include
sitearchdir = $(sitelibdir)/$(sitearch)
bindir = $(exec_prefix)/bin
localstatedir = $(DESTDIR)/var
sitelibdir = $(sitedir)/$(ruby_version)
libexecdir = $(exec_prefix)/libexec

CC = gcc
LIBRUBY = $(LIBRUBY_SO)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static

CFLAGS   =  -fPIC -Wall -g -O2  -fPIC 
CPPFLAGS = -I. -I$(topdir) -I$(hdrdir) -I$(srcdir)  
CXXFLAGS = $(CFLAGS) 
DLDFLAGS =   
LDSHARED = gcc -shared
AR = ar
EXEEXT = 

RUBY_INSTALL_NAME = ruby1.8
RUBY_SO_NAME = $(RUBY_INSTALL_NAME)
arch = i386-linux
sitearch = i386-linux
ruby_version = 1.8
RUBY = ruby1.8
RM = $(RUBY) -run -e rm -- -f
MAKEDIRS = $(RUBY) -run -e mkdir -- -p
INSTALL_PROG = $(RUBY) -run -e install -- -vpm 0755
INSTALL_DATA = $(RUBY) -run -e install -- -vpm 0644

#### End of system configuration section. ####


LIBPATH =  -L'$(libdir)'
DEFFILE = 

CLEANFILES = 
DISTCLEANFILES = 

target_prefix = 
LOCAL_LIBS = 
LIBS = $(LIBRUBYARG_SHARED)  -lpthread -ldl -lcrypt -lm   -lc
OBJS = escape_ext.o
TARGET = escape_ext
DLLIB = $(TARGET).so
STATIC_LIB = $(TARGET).a

RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR    = $(sitelibdir)$(target_prefix)
RUBYARCHDIR   = $(sitearchdir)$(target_prefix)

CLEANLIBS     = "$(TARGET).{lib,exp,il?,tds,map}" $(DLLIB)
CLEANOBJS     = "*.{o,a,s[ol],pdb,bak}"

all:		$(DLLIB)
static:		$(STATIC_LIB)

clean:
		@$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES)

distclean:	clean
		@$(RM) Makefile extconf.h conftest.* mkmf.log
		@$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)

realclean:	distclean
install: $(RUBYARCHDIR)
install: $(RUBYARCHDIR)/$(DLLIB)
$(RUBYARCHDIR)/$(DLLIB): $(DLLIB) $(RUBYARCHDIR)
	@$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
$(RUBYARCHDIR):
	@$(MAKEDIRS) $(RUBYARCHDIR)

site-install: install

.SUFFIXES: .c .cc .m .cxx .cpp .C .o

.cc.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.cpp.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.cxx.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.C.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

$(DLLIB): $(OBJS)
	@-$(RM) $@
	$(LDSHARED) $(DLDFLAGS) $(LIBPATH) -o $(DLLIB) $(OBJS) $(LOCAL_LIBS) $(LIBS)

$(STATIC_LIB): $(OBJS)
	$(AR) cru $@ $(OBJS)
	@-ranlib $(DLLIB) 2> /dev/null || true

=== ext/web/writebuffer/Makefile ===

SHELL = /bin/sh
#### Start of system configuration section. ####
srcdir = /home/sugi/works/debian/libnora-ruby/libnora-ruby-20021204/ext/web/writebuffer
topdir = $(rubylibdir)/$(arch)
hdrdir = $(rubylibdir)/$(arch)
VPATH = $(srcdir)
prefix = $(DESTDIR)/usr
exec_prefix = $(prefix)
sitedir = $(prefix)/local/lib/site_ruby
rubylibdir = $(libdir)/ruby/$(ruby_version)
builddir = $(ac_builddir)
archdir = $(rubylibdir)/$(arch)
sbindir = $(exec_prefix)/sbin
compile_dir = $(DESTDIR)/home/akira/deb/ruby1.8-1.8.0/build-tree/ruby-1.8.0
datadir = $(prefix)/share
includedir = $(prefix)/include
infodir = $(prefix)/info
top_builddir = $(ac_top_builddir)
sysconfdir = $(DESTDIR)/etc
mandir = $(datadir)/man
libdir = $(exec_prefix)/lib
sharedstatedir = $(prefix)/com
oldincludedir = $(DESTDIR)/usr/include
sitearchdir = $(sitelibdir)/$(sitearch)
bindir = $(exec_prefix)/bin
localstatedir = $(DESTDIR)/var
sitelibdir = $(sitedir)/$(ruby_version)
libexecdir = $(exec_prefix)/libexec

CC = gcc
LIBRUBY = $(LIBRUBY_SO)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static
CFLAGS   = -fPIC -Wall -g -O2 -fPIC
CPPFLAGS = -I. -I$(topdir) -I$(hdrdir) -I$(srcdir)  
CXXFLAGS = $(CFLAGS) 
DLDFLAGS =   
LDSHARED = gcc -shared
AR = ar
EXEEXT = 
RUBY_INSTALL_NAME = ruby1.8
RUBY_SO_NAME = $(RUBY_INSTALL_NAME)
arch = i386-linux
sitearch = i386-linux
ruby_version = 1.8
RUBY = ruby1.8
RM = $(RUBY) -run -e rm -- -f
MAKEDIRS = $(RUBY) -run -e mkdir -- -p
INSTALL_PROG = $(RUBY) -run -e install -- -vpm 0755
INSTALL_DATA = $(RUBY) -run -e install -- -vpm 0644
#### End of system configuration section. ####

LIBPATH =  -L"$(libdir)"
DEFFILE = 
CLEANFILES = 
DISTCLEANFILES = 
target_prefix = 
LOCAL_LIBS = 
LIBS = $(LIBRUBYARG_SHARED)  -ldl -lcrypt -lm  -lc
OBJS = writebuffer.o
TARGET = writebuffer
DLLIB = $(TARGET).so

RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR    = $(sitelibdir)$(target_prefix)
RUBYARCHDIR   = $(sitearchdir)$(target_prefix)

CLEANLIBS     = "$(TARGET).{lib,exp,il?,tds,map}" $(DLLIB)
CLEANOBJS     = "*.{o,a,s[ol],pdb,bak}"
all:		$(DLLIB)

clean:
		@$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES)
distclean:	clean
		@$(RM) Makefile extconf.h conftest.* mkmf.log
		@$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)
realclean:	distclean
install: $(RUBYARCHDIR)
install: $(RUBYARCHDIR)/$(DLLIB)
$(RUBYARCHDIR)/$(DLLIB): $(DLLIB) $(RUBYARCHDIR)
	@$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
$(RUBYARCHDIR):
	@$(MAKEDIRS) $(RUBYARCHDIR)

site-install: install

.SUFFIXES: .c .cc .m .cxx .cpp .C .o

.cc.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.cpp.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.cxx.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.C.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

$(DLLIB): $(OBJS)
	@-$(RM) $@
	$(LDSHARED) $(DLDFLAGS) $(LIBPATH) -o $(DLLIB) $(OBJS) $(LOCAL_LIBS) $(LIBS)

=== debian/changelog ===
libnora-ruby (1:0.0.20040310-1) unstable; urgency=low

  * New upstream release
  * Version stamp style has been changed

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 11 Mar 2004 21:44:20 +0900

libnora-ruby (20040216-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun, 22 Feb 2004 02:16:17 +0900

libnora-ruby (20021204-5) unstable; urgency=low

  * install docs in both version.

 -- Tatsuki Sugiura <sugi@nemui.org>  Fri, 12 Sep 2003 09:55:09 +0900

libnora-ruby (20021204-4) unstable; urgency=low

  * upload official debian archive. (Closes: #208776)
  * package has been splitted for ruby 1.6 & 1.8.

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon,  8 Sep 2003 17:25:00 +0900

libnora-ruby (20021204-3) unstable; urgency=low

  * examples has been moved to proper directory.

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 15 Jul 2003 00:21:06 +0900

libnora-ruby (20021204-2) unstable; urgency=low

  * add samples

 -- Tatsuki Sugiura <sugi@nemui.org>  Fri, 11 Jul 2003 20:33:09 +0900

libnora-ruby (20021204-1) unstable; urgency=low

  * Initial Release.

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue,  8 Jul 2003 13:14:16 +0900

=== debian/control ===
Source: libnora-ruby
Section: interpreters
Priority: optional
Maintainer: Tatsuki Sugiura <sugi@nemui.org>
Build-Depends: debhelper (>> 4.0.0), ruby1.6, ruby1.8, ruby1.6-dev, ruby1.8-dev
Standards-Version: 3.6.0
Uploaders: Taku YASUI <tach@debian.or.jp>

Package: libnora-ruby1.6
Provides: libnora-ruby
Architecture: any
Depends: ruby1.6, ${shlibs:Depends}
Suggests: libfcgi-ruby, libapache-mod-ruby, drb
Description: Web Application Library for ruby
 Features:
  * CGI/mod_ruby/FastCGI/Rinda/Mail interface
  * Persistent Framework
  * multipart/form-data support
  * Cookie support

Package: libnora-ruby1.8
Provides: libnora-ruby
Architecture: any
Depends: ruby1.8, ${shlibs:Depends}
Suggests: libfcgi-ruby, libapache-mod-ruby, drb
Description: Web Application Library for ruby
 Features:
  * CGI/mod_ruby/FastCGI/Rinda/Mail interface
  * Persistent Framework
  * multipart/form-data support
  * Cookie support

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


#rubyver :=  $(shell ruby -r rbconfig -e 'print Config::CONFIG["ruby_version"]')

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#/usr/bin/docbook-to-man debian/libnora-ruby.sgml > libnora-ruby.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-ruby install.rb clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/libnora-ruby.
	ruby1.6 install.rb config \
		--site-ruby="\$$prefix/lib/ruby/1.6" \
		--site-ruby-common="\$$prefix/lib/ruby/1.6" \
		--so-dir="\$$prefix/lib/ruby/1.6/$$DEB_HOST_GNU_TYPE" \
		# Hmmmmmm..
	ruby1.6 install.rb setup
	ruby1.6 install.rb install --prefix=$(CURDIR)/debian/libnora-ruby1.6
	mkdir -p $(CURDIR)/debian/libnora-ruby1.6/usr/share/doc/libnora-ruby1.6
	cp -a sample \
	  $(CURDIR)/debian/libnora-ruby1.6/usr/share/doc/libnora-ruby1.6/examples
	find $(CURDIR)/debian/libnora-ruby1.6/usr/share/doc \
		-type f | xargs chmod -x
	ruby1.6 install.rb clean

	ruby1.8 install.rb config \
		--site-ruby="\$$prefix/lib/ruby/1.8" \
		--site-ruby-common="\$$prefix/lib/ruby/1.8" \
		--so-dir="\$$prefix/lib/ruby/1.8/$$DEB_HOST_GNU_TYPE" \
		# Hmmmmmm..
	ruby1.8 install.rb setup
	ruby1.8 install.rb install --prefix=$(CURDIR)/debian/libnora-ruby1.8
	mkdir -p $(CURDIR)/debian/libnora-ruby1.8/usr/share/doc/libnora-ruby1.8
	cp -a sample \
	  $(CURDIR)/debian/libnora-ruby1.8/usr/share/doc/libnora-ruby1.8/examples
	find $(CURDIR)/debian/libnora-ruby1.8/usr/share/doc \
		-type f | xargs chmod -x

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs -n
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
http://www.moonwolf.com/ruby/archive/ \
	(?:.*/)?nora-(.*\..*)\.tar\.gz \
	debian	uupdate
